Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612942 - dovecot-lda crashes when loaded plugin sieve
dovecot-lda crashes when loaded plugin sieve
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dovecot (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 07:16 EDT by Jiri Kastner
Modified: 2010-11-10 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version: dovecot-2.0-0.10.beta6.20100630.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:08:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-07-09 07:16:05 EDT
Description of problem:
dovecot-lda crashes when loaded sieve plugin. details in steps and actual results.

Version-Release number of selected component (if applicable):
dovecot-2.0-0.8.beta6.20100630.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. in /etc/dovecot/conf.d/15-lda.conf enable sieve plugin and separated logging
protocol lda {
  mail_plugins = sieve 
  log_path = /var/log/dovecot-deliver-errors.log
  info_log_path = /var/log/dovecot-deliver.log
}
2. using touch create /var/log/dovecot-deliver-errors.log and /var/log/dovecot-deliver.log and chmod 666 /var/log/dovecot-deliver*.log
3. restart dovecot
4. setup fetchmail to use /usr/libexec/dovecot/dovecot-lda as mda
5. run fetchmail
  
Actual results:
lda: Debug: Loading modules from directory: /usr/lib64/dovecot
lda: Debug: Module loaded: /usr/lib64/dovecot/lib90_sieve_plugin.so
fetchmail: IMAP< * 1 FETCH (BODY[TEXT] {56401}
 (56401 body octets)
.....
fetchmail: IMAP< )
fetchmail: IMAP< A0008 OK FETCH completed
fetchmail: MDA died of signal 6
##################### DOVECOT-DELIVER ##########################
Jul 09 12:57:47 lda(username): Panic: file index-transaction.c: line 70 (index_transaction_init): assertion failed: (box->opened)
Jul 09 12:57:47 lda(username): Error: Raw backtrace: /usr/lib64/dovecot/libdovecot.so.0(+0x37a5a) [0x7fb246b2ca5a] -> /usr/lib64/dovecot/libdovecot.so.0(default_fatal_handler+0x37) [0x7fb246b2cb37] -> /usr/lib64/dovecot/libdovecot.so.0(i_error+0) [0x7fb246b09f96] -> /usr/lib64/dovecot/libdovecot-storage.so.0(+0x759b9) [0x7fb246feb9b9] -> /usr/lib64/dovecot/libdovecot-storage.so.0(index_transaction_begin+0x3f) [0x7fb246feb9ff] -> /usr/lib64/dovecot/libdovecot-storage.so.0(mailbox_transaction_begin+0x13) [0x7fb246fa39c3] -> /usr/lib64/dovecot/libdovecot-sieve.so.0(+0x3217f) [0x7fb245b0117f] -> /usr/lib64/dovecot/libdovecot-sieve.so.0(sieve_result_execute+0x175) [0x7fb245af9d05] -> /usr/lib64/dovecot/libdovecot-sieve.so.0(sieve_execute+0x7d) [0x7fb245b0852d] -> /usr/lib64/dovecot/lib90_sieve_plugin.so(+0x2b0d) [0x7fb245d3eb0d] -> /usr/lib64/dovecot/libdovecot-lda.so.0(mail_deliver+0x45) [0x7fb246d72985] -> /usr/libexec/dovecot/deliver(main+0x453) [0x402d23] -> /lib64/libc.so.6(__libc_start_main+0xfd) [0x7fb246388c5d] -> /usr/libexec/dovecot/deliver() [0x402579]

Expected results:
lda will work as expected

Additional info:
Comment 1 Michal Hlavinka 2010-07-09 07:27:32 EDT
upstream fix: http://hg.rename-it.nl/dovecot-2.0-pigeonhole/rev/703f82bb2b09
Comment 2 Michal Hlavinka 2010-07-16 10:32:38 EDT
seems the fix is not complete
Comment 5 releng-rhel@redhat.com 2010-11-10 17:08:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.